Bug 802079 - SELinux is preventing /usr/bin/python from 'read' accesses on the fichier unix.
SELinux is preventing /usr/bin/python from 'read' accesses on the fichier unix.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:606dc85baa57f2209fefe80eeb4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 16:09 EST by Nicolas GIF
Modified: 2012-03-23 20:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-80.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-23 20:37:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas GIF 2012-03-10 16:09:00 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.9-1.fc16.x86_64
reason:         SELinux is preventing /usr/bin/python from 'read' accesses on the fichier unix.
time:           sam. 10 mars 2012 22:08:23 CET

description:
:SELinux is preventing /usr/bin/python from 'read' accesses on the fichier unix.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python should be allowed read access on the unix file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep denyhosts.py /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:denyhosts_t:s0
:Target Context                system_u:object_r:proc_net_t:s0
:Target Objects                unix [ file ]
:Source                        denyhosts.py
:Source Path                   /usr/bin/python
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           python-2.7.2-5.2.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-75.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.2.9-1.fc16.x86_64 #1 SMP Thu Mar 1
:                              01:41:10 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    jeu. 08 mars 2012 19:49:43 CET
:Last Seen                     sam. 10 mars 2012 22:07:37 CET
:Local ID                      27501adf-ea2c-421c-b1f8-11b4057a2e7b
:
:Raw Audit Messages
:type=AVC msg=audit(1331413657.950:258): avc:  denied  { read } for  pid=2642 comm="denyhosts.py" name="unix" dev=proc ino=4026532000 scontext=system_u:system_r:denyhosts_t:s0 tcontext=system_u:object_r:proc_net_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1331413657.950:258): arch=x86_64 syscall=access success=no exit=EACCES a0=7fff1b368ca0 a1=4 a2=7fff1b368cae a3=7fff1b368ab0 items=0 ppid=1 pid=2642 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=denyhosts.py exe=/usr/bin/python subj=system_u:system_r:denyhosts_t:s0 key=(null)
:
:Hash: denyhosts.py,denyhosts_t,proc_net_t,file,read
:
:audit2allow
:
:#============= denyhosts_t ==============
:allow denyhosts_t proc_net_t:file read;
:
:audit2allow -R
:
:#============= denyhosts_t ==============
:allow denyhosts_t proc_net_t:file read;
:
Comment 1 Daniel Walsh 2012-03-10 22:58:32 EST
Fixed in selinux-policy-3.10.0-79.fc16

yum -y update.
Comment 2 Nicolas GIF 2012-03-11 05:39:46 EDT
This update is not yet available in update repo. I'll be waiting for it.
Comment 3 Miroslav Grepl 2012-03-12 05:03:52 EDT
I am going to submit it today.
Comment 4 Fedora Update System 2012-03-13 08:26:35 EDT
selinux-policy-3.10.0-80.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
Comment 5 Fedora Update System 2012-03-20 22:25:44 EDT
Package selinux-policy-3.10.0-80.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-80.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2733/selinux-policy-3.10.0-80.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-03-23 20:37:53 EDT
selinux-policy-3.10.0-80.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.